<?php 

	$cake_bakery_custom_css = '';

	// Site Title Color
	$cake_bakery_site_title_color = get_theme_mod('cake_bakery_site_title_color');
	$cake_bakery_custom_css .= '.logo h1 a, .logo p.site-title a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_site_title_color) . ';';
	$cake_bakery_custom_css .= '}';

	// Site Tagline Color
	$cake_bakery_site_tagline_color = get_theme_mod('cake_bakery_site_tagline_color');
	$cake_bakery_custom_css .= '.logo p.site-description {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_site_tagline_color) . ';';
	$cake_bakery_custom_css .= '}';

	// logo size option
	$cake_bakery_logo_size = get_theme_mod('cake_bakery_logo_size');{
	$cake_bakery_custom_css .='.site-logo img{';
	$cake_bakery_custom_css .='width: '.esc_attr($cake_bakery_logo_size).'px !important;';
		$cake_bakery_custom_css .='}';
	}

	// Slider
	$cake_bakery_slider_hide_show = get_theme_mod('cake_bakery_slider_hide_show',false);
	if($cake_bakery_slider_hide_show == true){
		$cake_bakery_custom_css .= '.page-template-home-custom .inner-head {';
			$cake_bakery_custom_css .= 'display: none;';
		$cake_bakery_custom_css .= '}';
	}

	/*----------------Width Layout -------------------*/
    $cake_bakery_theme_lay = get_theme_mod( 'cake_bakery_width_options','Full Width');
    if($cake_bakery_theme_lay == 'Full Width'){
		$cake_bakery_custom_css .='body{';
			$cake_bakery_custom_css .='max-width: 100%;';
		$cake_bakery_custom_css .='}';
	}else if($cake_bakery_theme_lay == 'Contained Width'){
		$cake_bakery_custom_css .='body{';
			$cake_bakery_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$cake_bakery_custom_css .='}';
	}else if($cake_bakery_theme_lay == 'Boxed Width'){
		$cake_bakery_custom_css .='body{';
			$cake_bakery_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$cake_bakery_custom_css .='}';
	}

	//Submenu Dropdown Effect
	$cake_bakery_dropdown_anim = get_theme_mod('cake_bakery_dropdown_anim');
	$cake_bakery_custom_css .='.primary-navigation ul ul{';
		$cake_bakery_custom_css .='animation: '.esc_attr($cake_bakery_dropdown_anim).' 1s ease;';
	$cake_bakery_custom_css .='}';

	// Menus Color
	$cake_bakery_menu_color = get_theme_mod('cake_bakery_menu_color');
	$cake_bakery_custom_css .= '.primary-navigation ul li a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_menu_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_menu_hover_color = get_theme_mod('cake_bakery_menu_hover_color');
	$cake_bakery_custom_css .= '.primary-navigation ul li a:hover {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_menu_hover_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_activemenu_color = get_theme_mod('cake_bakery_activemenu_color');
	$cake_bakery_activemenubg_color = get_theme_mod('cake_bakery_activemenubg_color');
	$cake_bakery_custom_css .= '.primary-navigation .current_page_item a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_activemenu_color) . '; background-color: ' . esc_attr($cake_bakery_activemenubg_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_submenu_color = get_theme_mod('cake_bakery_submenu_color');
	$cake_bakery_custom_css .= '.primary-navigation ul.sub-menu li a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_submenu_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_submenu_hover_color = get_theme_mod('cake_bakery_submenu_hover_color');
	$cake_bakery_custom_css .= '.primary-navigation ul.sub-menu li a:hover {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_submenu_hover_color) . ';';
	$cake_bakery_custom_css .= '}';

	//Topbar color
	$cake_bakery_timing_color = get_theme_mod('cake_bakery_timing_color');
	$cake_bakery_custom_css .= '.contact-detail p {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_timing_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_hdrbtn_color = get_theme_mod('cake_bakery_hdrbtn_color');
	$cake_bakery_hdrbtnbg_color = get_theme_mod('cake_bakery_hdrbtnbg_color');
	$cake_bakery_custom_css .= '#header .contactusbtn a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_hdrbtn_color) . '; border-color: ' . esc_attr($cake_bakery_hdrbtn_color) . '; background-color: ' . esc_attr($cake_bakery_hdrbtnbg_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_hdrsvg_color = get_theme_mod('cake_bakery_hdrsvg_color');
	$cake_bakery_custom_css .= ' svg#header_design path {';
		$cake_bakery_custom_css .= 'fill: ' . esc_attr($cake_bakery_hdrsvg_color) . ';';
	$cake_bakery_custom_css .= '}';

	// Slider Color
	$cake_bakery_slider_title_font_size = get_theme_mod('cake_bakery_slider_title_font_size');
	$cake_bakery_custom_css .= '#slider .inner_carousel h1 {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_slider_title_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_text_font_size = get_theme_mod('cake_bakery_slider_text_font_size');
	$cake_bakery_custom_css .= '#slider .inner_carousel p {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_slider_text_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_btn_font_size = get_theme_mod('cake_bakery_slider_btn_font_size');
	$cake_bakery_custom_css .= '#slider .read-btn a {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_slider_btn_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_opacity = get_theme_mod('cake_bakery_slider_opacity');
	$cake_bakery_custom_css .= '#slider img {';
		$cake_bakery_custom_css .= 'opacity: ' . esc_attr($cake_bakery_slider_opacity) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_title_color = get_theme_mod('cake_bakery_slider_title_color');
	$cake_bakery_custom_css .= '#slider .inner_carousel h1 {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_slider_title_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_text_color = get_theme_mod('cake_bakery_slider_text_color');
	$cake_bakery_custom_css .= '#slider .inner_carousel p {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_slider_text_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_btn_text_color = get_theme_mod('cake_bakery_slider_btn_text_color');
	$cake_bakery_slider_btn_border_color = get_theme_mod('cake_bakery_slider_btn_border_color');
	$cake_bakery_custom_css .= '#slider .read-btn a {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_slider_btn_text_color) . '; border-color: ' . esc_attr($cake_bakery_slider_btn_border_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_btn_text_hover_color = get_theme_mod('cake_bakery_slider_btn_text_hover_color');
	$cake_bakery_slider_btnbg_hover_color = get_theme_mod('cake_bakery_slider_btnbg_hover_color');
	$cake_bakery_slider_btn_border_hover_color = get_theme_mod('cake_bakery_slider_btn_border_hover_color');
	$cake_bakery_custom_css .= '#slider .read-btn a:hover {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_slider_btn_text_hover_color) . '; border-color: ' . esc_attr($cake_bakery_slider_btn_border_hover_color) . '; background-color: ' . esc_attr($cake_bakery_slider_btnbg_hover_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_imgborder_color = get_theme_mod('cake_bakery_slider_imgborder_color');
	$cake_bakery_custom_css .= '#slider img {';
		$cake_bakery_custom_css .= 'box-shadow: 0 0px 0px 3px ' . esc_attr($cake_bakery_slider_imgborder_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_slider_npbtn_color = get_theme_mod('cake_bakery_slider_npbtn_color');
	$cake_bakery_slider_npbtnbg_color = get_theme_mod('cake_bakery_slider_npbtnbg_color');
	$cake_bakery_custom_css .= '#slider .carousel-control-next-icon i, #slider .carousel-control-prev-icon i {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_slider_npbtn_color) . '; background-color: ' . esc_attr($cake_bakery_slider_npbtnbg_color) . ';';
	$cake_bakery_custom_css .= '}';

	// Product color options
	$cake_bakery_product_heading_font_size = get_theme_mod('cake_bakery_product_heading_font_size');
	$cake_bakery_custom_css .= '.featured-product-section .ribbontitle {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_product_heading_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_title_font_size = get_theme_mod('cake_bakery_product_title_font_size');
	$cake_bakery_custom_css .= '.featured-product-section .pcontent h3 {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_product_title_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_title_color = get_theme_mod('cake_bakery_product_title_color');
	$cake_bakery_custom_css .= '.woocommerce ul.products li.product .woocommerce-loop-product__title {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_title_color) . ' !important;';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_price_color = get_theme_mod('cake_bakery_product_price_color');
	$cake_bakery_custom_css .= '.woocommerce ul.products li.product .price {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_price_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_btn_color = get_theme_mod('cake_bakery_product_btn_color');
	$cake_bakery_product_btn_bg_color = get_theme_mod('cake_bakery_product_btn_bg_color');
	$cake_bakery_custom_css .= '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, a.added_to_cart.wc-forward {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_btn_color) . '; background-color: ' . esc_attr($cake_bakery_product_btn_bg_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_btn_hover_color = get_theme_mod('cake_bakery_product_btn_hover_color');
	$cake_bakery_product_sale_color = get_theme_mod('cake_bakery_product_sale_color');
	$cake_bakery_custom_css .= '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, a.added_to_cart.wc-forward:hover {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_sale_color) . '; background-color: ' . esc_attr($cake_bakery_product_btn_hover_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_sale_bg_color = get_theme_mod('cake_bakery_product_sale_bg_color');
	$cake_bakery_product_sale_color = get_theme_mod('cake_bakery_product_sale_color');
	$cake_bakery_custom_css .= '.woocommerce span.onsale {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_sale_color) . '; background-color: ' . esc_attr($cake_bakery_product_sale_bg_color) . ';';
	$cake_bakery_custom_css .= '}';

	//footer color
	$cake_bakery_copyright_color = get_theme_mod('cake_bakery_copyright_color');
	$cake_bakery_custom_css .= ' #footer-section .copyright p {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_copyright_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_copyrightbg_color = get_theme_mod('cake_bakery_copyrightbg_color');
	if ($cake_bakery_copyrightbg_color) {
		$cake_bakery_custom_css = '';
		$cake_bakery_custom_css .= '.copyright {';
		$cake_bakery_custom_css .= 'filter: hue-rotate(' . esc_attr($cake_bakery_copyrightbg_color) . 'deg);';
		$cake_bakery_custom_css .= '}';
	}

	$cake_bakery_footerbg_color = get_theme_mod('cake_bakery_footerbg_color');
	$cake_bakery_custom_css .= '#footer-section {';
		$cake_bakery_custom_css .= 'background-color: ' . esc_attr($cake_bakery_footerbg_color) . '; ';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_footer_copy_font_size = get_theme_mod('cake_bakery_footer_copy_font_size');
	$cake_bakery_custom_css .= '#footer-section .copyright p {';
		$cake_bakery_custom_css .= 'font-size: ' . esc_attr($cake_bakery_footer_copy_font_size) . 'px;';
	$cake_bakery_custom_css .= '}';

	//product section css
	$cake_bakery_product_heaading_color = get_theme_mod('cake_bakery_product_heaading_color');
	$cake_bakery_custom_css .= '.featured-product-section .ribbontitle {';
		$cake_bakery_custom_css .= 'color: ' . esc_attr($cake_bakery_product_heaading_color) . ';';
	$cake_bakery_custom_css .= '}';

	$cake_bakery_product_heaadingbg_color = get_theme_mod('cake_bakery_product_heaadingbg_color');
	$cake_bakery_custom_css .= '.featured-product-section .ribbontitle {';
		$cake_bakery_custom_css .= 'background-color: ' . esc_attr($cake_bakery_product_heaadingbg_color) . '; ';
	$cake_bakery_custom_css .= '}';